%global _empty_manifest_terminate_build 0
Name:		python-flufl.lock
Version:	5.0.3
Release:	2
Summary:	NFS-safe file locking with timeouts for POSIX and Windows.
License:	Apache 2.0
URL:		https://pypi.org/project/flufl.lock
Source0:	https://files.pythonhosted.org/packages/d6/f2/dc52ec13288b338f66c5c1d5770d7bad1d8cf4c7a56c4e83b658c6cd4974/flufl.lock-%{version}.tar.gz
BuildArch:	noarch

%description
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" man page, under the description of
the "O_EXCL" option.

%package -n python3-flufl.lock
Summary:	NFS-safe file locking with timeouts for POSIX and Windows.
Provides:	python-flufl.lock
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-flufl.lock
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" man page, under the description of
the "O_EXCL" option.

%package help
Summary:	Development documents and examples for flufl.lock
Provides:	python3-flufl.lock-doc

%description help
Development documents and examples for flufl.lock.

%prep
%autosetup -n flufl.lock-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flufl.lock -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Dec 31 2020 leiju <leiju4@huawei.com>
- Modify Spec and yaml filename

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
